Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.plugin
Class EventHandlerInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.plugin.InfoObject
            |
            +--com.bea.wlpi.common.plugin.EventHandlerInfo

public class EventHandlerInfo
extends InfoObject

Provides information about an event handler defined by a plugin. Event handlers can be used to pre-process incoming event data. Event handlers can perform data format translation (for example, from a proprietary format into XML), or 'burst' an incoming event datum into separate components. Event handlers can pass the transformed data back to the standard event processor in order to use the built-in event key calculation and event watch candidate matching facilities, or can completely consume the event and drive WebLogic Process Integrator through the public API.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `EventHandler`, Serialized Form

Field Summary
`static int` | `KEY_HANDLER` Key value to retrieve the `EventHandler` implementation class name.

Fields inherited from class com.bea.wlpi.common.plugin.InfoObject
`classNames, description, ID, name, pluginName`

Constructor Summary
`EventHandlerInfo(java.lang.String pluginName, java.lang.String name, java.lang.String description, java.lang.String[] classNames)` Create a new `EventHandlerInfo`.``

Methods inherited from class com.bea.wlpi.common.plugin.InfoObject
`compareTo, equals, getClassName, getDescription, getID, getName, getPluginName, imageStreamToByteArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY_HANDLER

    public static final int KEY_HANDLER

  Key value to retrieve the `EventHandler` implementation class name.

Constructor Detail

### EventHandlerInfo

    public EventHandlerInfo(java.lang.String pluginName,
                            java.lang.String name,
                            java.lang.String description,
                            java.lang.String[] classNames)

  Create a new `EventHandlerInfo`.``

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin supplying this event handler.
    `name` - The localized name of this event handler.
    `description` - The localized description of this event handler.
    `classNames` - A single-element array to identify plugin-supplied classes related to this event handler. The array contains one entry for each of the `KEY_*` values listed above. The value for each entry is the corresponding fully qualified Java class name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)